For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns a list of time bookings.
      • POSTCreates a new time booking for a given project and user.
      • PUTUpdates a given time booking.
      • DELDeletes a time booking by id.
      • GETReturns a list of time bookings.
      • POSTCreates a new time booking for a given project and user.
      • PUTUpdates a given time booking.
      • DELDeletes a time booking by id.
      • GETReturns the time bookings in a specified time range for a list of users.
      • GETReturns the time bookings in a specified time range for a list of users.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTime Bookings

Returns a list of time bookings.

GET
https://api.awork.com/api/v1/projecttimebookings
GET
/api/v1/projecttimebookings
$curl https://api.awork.com/api/v1/projecttimebookings \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2022-03-11T15:33:47.100Z",
5 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2022-03-11T21:15:00.100Z",
7 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
8 "userId": "123e4567-e89b-12d3-a456-426614174000",
9 "projectId": "123e4567-e89b-12d3-a456-426614174000",
10 "startDate": "2024-05-15",
11 "endDate": "2024-05-18",
12 "duration": 1,
13 "description": "Blocker for a new project",
14 "laneOrder": 1,
15 "isAnonymized": true
16 }
17]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates a new time booking for a given project and user.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
userIdstringformat: "uuid"
The id of the user this time booking is for.
projectIdstring or nullformat: "uuid"

(optional) The id of the project this time booking is for.

startDatestringformat: "date"
The start date of the time booking.
endDatestringformat: "date"
The end date of the time booking.
durationinteger
The planned duration, expressed in seconds, of this time booking.
descriptionstring or null
The optional description for this time booking.
laneOrderinteger

The order in which this object should be shown in the timeline (row number). Used by the awork web app.

isAnonymizedboolean or null
This will be true if the user doesn't have access to the project. In that case the description will be shadowed.